--- postgresql-7.4.5/configure.in	2004-08-18 05:11:25.000000000 +0200
+++ postgresql-7.4.5-mod/configure.in	2004-09-24 09:37:35.000000000 +0200
@@ -464,12 +464,19 @@
   AC_MSG_RESULT([yes])
   AC_DEFINE(KRB5, 1, [Define to build with Kerberos 5 support. (--with-krb5)])
 
-  if test -d "$krb5_prefix/include"; then
-    INCLUDES="$INCLUDES -I$krb5_prefix/include"
-  fi
-  if test -d "$krb5_prefix/lib"; then
-    LIBDIRS="$LIBDIRS -L$krb5_prefix/lib"
-  fi
+  if test -x "$krb5_prefix/bin/krb5-config"; then
+     KRB5INCLUDES=`$krb5_prefix/bin/krb5-config --cflags`
+     INCLUDES="$INCLUDES $KRB5INCLUDES"
+     KRB5LIBS=`$krb5_prefix/bin/krb5-config --libs`
+     LIBDIRS="$LIBDIRS $KRB5LIBS"
+  else
+	if test -d "$krb5_prefix/include"; then
+	   INCLUDES="$INCLUDES -I$krb5_prefix/include"
+	fi  
+	if test -d "$krb5_prefix/lib"; then
+	   LIBDIRS="$LIBDIRS -L$krb5_prefix/lib"
+	fi
+   fi
 
   krb_srvtab="FILE:\$(sysconfdir)/krb5.keytab"
 ],
